<?php

function addDates( $pl, $disabledoption ) {
	$days = Yii::t('app','SMTWTFS');
	$str = "";
    for ($i=0; $i<7; $i++ ) {
		$name = "validDate".$i;
		if ($pl->$name=='1'){
			$str .= "<span class='checkbox checked'><span class='dname prev checked'>".$days[$i]."</span></span>";
		}else{
			$str .= "<span class='checkbox'><span class='dname prev'>".$days[$i]."</span></span>";
		}
        if ($i!=6)
			$str .= "<span class='days'> </span>";
    }
    return $str;
}


$scheduling=true;
if ( !$options['validity'] && !$options['visible'] && !$options['dates'] )
    $scheduling=false;
 
if ( $scheduling )
	echo CHtml::openTag("div", array( "class"=>"edit_section shedule_view" ) );
else
	echo CHtml::openTag("div", array( "class"=>"edit_section media_view" ) );

LayoutHelper::openBorders();
echo CHtml::openTag("div", array('class'=>'view_playlist') );


echo CHtml::tag("h1", array(), 
		CHtml::tag("span", array('class'=>''), $name." ") . 
		CHtml::tag("span", array('class'=>'blue'), $playlistInfo->name )       
);
echo CHtml::openTag("div", array('class'=>'edit_header') );
if ( $scheduling )	{
	if ( count($playlistInfo->playlist)>0)
		$item = $playlistInfo->playlist[0];
	else
		$item = new PlaylistItem;
	echo Chtml::tag("span", array('class'=>'head_duration'), $item->getAttributeLabel('dur'));
	echo Chtml::tag("span", array('class'=>'head_date'), $item->getAttributeLabel('validity'));
	echo Chtml::tag("span", array('class'=>'head_time'), $item->getAttributeLabel('time'));
	echo Chtml::tag("span", array('class'=>'head_days'), $item->getAttributeLabel('validDates'));
}
echo CHtml::closeTag("div" ); //edit_header

echo CHtml::openTag("table", array( 'class'=>"playlist",  ));

$idx=0;
foreach($playlistInfo->playlist as $i => $playlistItem) {
	echo CHtml::openTag("tr", array( 'class'=>"playlist_item",  ));
	
	$print_name = $playlistItem->name; 
    if ( preg_match("/^\d+_(.*)/", $print_name, $match) )
        $print_name = $match[1];
    if ( count($print_name)>20 )
        $print_name = substr($print_name,0,20)."...";
	$class = "preview_normal";
	
	if ( $playlistItem->type=='playlist')
		$class .= " playlist";
	echo CHtml::tag("td", array('class'=>'pl_item preview'), 
						  CHtml::tag("div", array('class'=>$class), 
											CHtml::image($playlistItem->webpathPreview, "", array('class'=>$class))
									)
					);
	$metaname = $playlistItem->metaname;
    if ($metaname=="")
        $metaname = Yii::t('app', "Media")." ".($idx+1);
    
	$dur = $playlistItem->dur;
	if ($dur==""){
		if ( $playlistItem->type=='image' )
			$dur = $playlistInfo->defaultItemDur;
		else
			$dur = Yii::t('app', "Automatic");
	}
	$disabledoption = "disabled='disabled'";
	echo 	"<td class='pl_item desc'>".
			"<span class='metaname'><input $disabledoption type='text' value='$metaname' name='dummy' class='metaname' /></span>".
			"<span class='duration'><input $disabledoption type='text' value='$dur' name=dummy' class='duration' /></span>".                
			"<span class='filename'>".
			$print_name.
			"</span>".
			"</td>";
	
    
	if ( $options['validity'] ) {
		echo "<td class='pl_item validity' >" . 
                "<div>" .
                "<input $disabledoption type='text' value='".$playlistItem->validityStart."' name='dummy' class='datepicker'>" .
                "<span class='date'>-</span>" .
                "<input $disabledoption type='text' value='".$playlistItem->validityEnd."' name='dummy' class='datepicker'>" .
                "</div>" .
             "</td>";
	}
	if ( $options['visible'] ) {
		echo "<td class='pl_item visible'>" .
                "<div>" .
                "<input $disabledoption type='text' value='".$playlistItem->timeStart."' name='dummy' class='duration'>" .
                "<span class='time'>-</span>" .
                "<input $disabledoption type='text' value='".$playlistItem->timeEnd."' name='dummy' class='duration'>" .
                "</div>" .
                "</td>" ;
	}

	if ( $options['dates'] ) {
		echo "<td class='pl_item dates'>" .
                "<div>" .
                addDates( $playlistItem,  $disabledoption ) .
                "</div>" .
                "</td>";
	}
	echo CHtml::tag("td", array( 'class'=>"pl_item actions" ) );
	echo CHtml::closeTag("tr" );
	$idx++;
}

echo CHtml::closeTag("table");



echo CHtml::closeTag("div");
LayoutHelper::closeBorders();
echo CHtml::closeTag("div");